Last modified: 2014-11-17 20:33:21 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 68994 - DynamicPageList2 compatibility problem with PostgreSQL: LIMIT #,# syntax not supported
DynamicPageList2 compatibility problem with PostgreSQL: LIMIT #,# syntax not ...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
DynamicPageList2 (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Jeff Janes
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2014-08-01 08:45 UTC by David Roger
Modified: 2014-11-17 20:33 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description David Roger 2014-08-01 08:45:10 UTC
Using actual version of DynamicPageList2 with Mediawiki and PostgreSQL database does not work.

It's due to "LIMIT offset,row_count" usage in DPLMain.php. For Postgresql compatibility, it's better to use "LIMIT row_count OFFSET offset" syntax.

Here are errors :

SQL ERROR: ERREUR: la syntaxe LIMIT #,# n'est pas supportée
LINE 1: ...ev_page=rev.rev_page ) ORDER BY rev_timestamp ASC LIMIT 0, 1
^
HINT: Utilisez les clauses séparées LIMIT et OFFSET.
Parser: using preprocessor: Preprocessor_DOM
Parser output marked as uncacheable.
SQL ERROR (ignored): ERREUR: la syntaxe LIMIT #,# n'est pas supportée
LINE 1: ...ev_page=rev.rev_page ) ORDER BY rev_timestamp ASC LIMIT 0, 1
^
HINT: Utilisez les clauses séparées LIMIT et OFFSET.
[exception] [ab8564cb] /index.php/Accueil Exception from line 554 of /var/www/cnp31wiki/intranet/includes/db/DatabasePostgres.php: Unable to free Postgres result
Comment 1 Andre Klapper 2014-08-01 13:37:41 UTC
Please provide exact version information for MediaWiki, DynamicPageList2 and Postgres so somebody who tries to reproduce does not need to check dozens of combinations. :)
Also see https://www.mediawiki.org/wiki/How_to_report_a_bug for general information.
Comment 2 David Roger 2014-08-01 15:21:18 UTC
Here are the versions I used : DynamicPageList2 v2.3.0, MediaWiki v2.23.2, PostgreSQL v8.4.
Comment 3 Jeff Janes 2014-08-01 23:01:23 UTC
According to https://www.mediawiki.org/wiki/Extension:DynamicPageList2,
DynamicPageList2 is no longer maintained.
Comment 4 Gerrit Notification Bot 2014-08-02 01:57:52 UTC
Change 151265 had a related patch set uploaded by Jjanes:
DynamicPageList: Use more standard LIMIT syntax

https://gerrit.wikimedia.org/r/151265
Comment 5 Gerrit Notification Bot 2014-10-30 17:51:09 UTC
Change 151265 merged by jenkins-bot:
DynamicPageList: Use more standard LIMIT syntax

https://gerrit.wikimedia.org/r/151265
Comment 6 Andre Klapper 2014-11-15 12:25:12 UTC
All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?
Comment 7 Jeff Janes 2014-11-17 20:29:11 UTC
Andre, I think you are the only one subscribed to this bug who has the power close them.  Or at least if I can, it is not obvious how.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links